<Query Kind="Statements">
  <Namespace>System.IO.MemoryMappedFiles</Namespace>
  <Namespace>System.Threading.Tasks</Namespace>
  <Namespace>System.Runtime.InteropServices</Namespace>
  <Namespace>System.Runtime.CompilerServices</Namespace>
</Query>

unsafe
{
	using (var mmf = MemoryMappedFile.CreateNew ("Shared Memory Demo", 1000))
	using (var accessor = mmf.CreateViewAccessor())
	{
		byte* pointer = (byte*) accessor.SafeMemoryMappedViewHandle.DangerousGetHandle().ToPointer();
		pointer += 500;
		int* intPointer = (int*) pointer;
		*intPointer = 123;
		Console.ReadLine();
	}
}